Bug 3928 - Expected Date v. Received Date
Summary: Expected Date v. Received Date
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: PC All
: P1 - high critical (vote)
Assignee: Bugs List
QA Contact: Bugs List
URL: /cgi-bin/koha/serials/serials-edit.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-15 04:09 UTC by Nicole C. Engard
Modified: 2019-06-27 09:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:21:06 UTC


---- Reported by nengard@gmail.com 2009-12-15 16:09:55 ----

On serials when receiving items the date expected is being marked as the date received.  I think this is a simple fix to the receive form to change the label on expected date to read received date.  i also think this field should default to today not to the expected date.



---- Additional Comments From nengard@gmail.com 2010-02-18 18:23:31 ----

This is a big issue for a library that is receiving a lot of serials and wants to keep accurate records.



---- Additional Comments From colin.campbell@ptfs-europe.com 2010-02-18 23:19:23 ----

At present the same field is used for both values. It can cause some confusion to new (and possibly not so new ) users 



---- Additional Comments From nengard@gmail.com 2010-02-18 23:36:30 ----

I don't think the same date should be used for both fields - I think we need to let the librarian enter the date received when receiving an item and leave the expected date solely for predictions and knowing when an item is late.



---- Additional Comments From dbavousett@ptfs.com 2010-03-29 17:37:59 ----

One of our customers noticed this issue (it's a long-stander), and I patched to update it to "today" when the issues is marked Arrived or Claimed.  Would that clear up this bug, Nicole?




---- Additional Comments From nengard@gmail.com 2010-03-29 18:16:57 ----

It's a work around - but allowing the staff to put in the date themselves is ideal.



---- Additional Comments From gmcharlt@gmail.com 2010-05-11 11:38:36 ----

Pushed work-around patches.  Please test.



---- Additional Comments From jwagner@ptfs.com 2010-05-12 13:53:29 ----

The fix for this bug (in ptfs-harley) can be pulled from the public git repository at http://github.com/Koha-PTFS, branch http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3928




--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:21 UTC  ---

This bug was previously known as _bug_ 3928 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3928

Actual time not defined. Setting to 0.0
CC member jwagner@ptfs.com does not have an account here

Comment 1 Nicole C. Engard 2010-06-02 11:57:46 UTC
work around works - but am leaving open for a real fix.
Comment 2 Paul Poulain 2012-11-29 16:01:27 UTC
is it still an issue nicole ?
(otherwise said: is a critical bug open since 3 years really critical ;-) )
Comment 3 Nicole C. Engard 2012-11-29 19:22:14 UTC
I guess no one else has complained, so we can close it.

Nicole